client.h File Reference
`#include <core/net/visibility.h>`
`#include <core/net/http/method.h>`
`#include <core/net/http/request.h>`
`#include <chrono>`
`#include <iosfwd>`
`#include <memory>`
Include dependency graph for client.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | core::net::http::Client
struct | core::net::http::Client::Errors
| Summarizes error conditions. More...
struct | core::net::http::Client::Errors::HttpMethodNotSupported
| HttpMethodNotSupported is thrown if the underlying impl. does not support the requested HTTP method. More...
struct | core::net::http::Client::Timings
| Summarizes timing information about completed requests. More...
struct | core::net::http::Client::Timings::Statistics

## Namespaces

namespace | core
namespace | core::net
namespace | core::net::http

## Functions

CORE_NET_DLL_PUBLIC std::shared_ptr< Client > | core::net::http::make_client ()
| Dispatches to the default implementation and returns a client instance.